Get design analytics links

Get analytics for links in a design.

This API is currently provided as a preview. Be aware of the following:

  • There might be unannounced breaking changes.
  • Any breaking changes to preview APIs won't produce a new API version.
  • Public integrations that use preview APIs will not pass the review process, and can't be made available to all Canva users.

To use this API, your integration must act on behalf of a user who is a member of a Canva Enterprise(opens in a new tab or window) organization.

Lists trackable links and their metrics for a design.

HTTP method and URL path

GET https://api.canva.com/rest/v1/designs/{designId}/analytics/links

This operation is rate limited to 100 requests per minute for each user of your integration.

Authentication and authorization

This endpoint requires a valid access token that acts on behalf of a user.

Scopes

The access token must have all the following scopes (permissions):

  • design:content:read

Capabilities

The user must have at least one of the following capabilities:

  • analytics

Header parameters

Authorizationstring
Required

Provides credentials to authenticate the request, in the form of a Bearer token.

For example: Authorization: Bearer {token}

Path parameters

designIdstring
Required

The design ID.

Query parameters

limitinteger
Optional

The maximum number of links to return per page.

Minimum: 1

Maximum: 100

Default value: 50

continuationstring
Optional

If the success response contains a continuation token, there are more links you can list. You can use this token as a query parameter and retrieve more links from the list, for example /v1/designs/{designId}/analytics/links?continuation={continuation}.

To retrieve all links, you might need to make multiple requests.

Example request

Examples for using the /v1/designs/{designId}/analytics/links endpoint:

curl --request GET 'https://api.canva.com/rest/v1/designs/{designId}/analytics/links' \
--header 'Authorization: Bearer {token}'
SH
const fetch = require("node-fetch");
fetch("https://api.canva.com/rest/v1/designs/{designId}/analytics/links", {
method: "GET",
headers: {
"Authorization": "Bearer {token}",
},
})
.then(async (response) => {
const data = await response.json();
console.log(data);
})
.catch(err => console.error(err));
JS
import java.io.IOException;
import java.net.URI;
import java.net.http.*;
public class ApiExample {
public static void main(String[] args) throws IOException, InterruptedException {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.canva.com/rest/v1/designs/{designId}/analytics/links"))
.header("Authorization", "Bearer {token}")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(
request,
HttpResponse.BodyHandlers.ofString()
);
System.out.println(response.body());
}
}
JAVA
import requests
headers = {
"Authorization": "Bearer {token}"
}
response = requests.get("https://api.canva.com/rest/v1/designs/{designId}/analytics/links",
headers=headers
)
print(response.json())
PY
using System.Net.Http;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://api.canva.com/rest/v1/designs/{designId}/analytics/links"),
Headers =
{
{ "Authorization", "Bearer {token}" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
};
CSHARP
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.canva.com/rest/v1/designs/{designId}/analytics/links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer {token}")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
GO
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://api.canva.com/rest/v1/designs/{designId}/analytics/links",
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer {token}',
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if (empty($err)) {
echo $response;
} else {
echo "Error: " . $err;
}
PHP
require 'net/http'
require 'uri'
url = URI('https://api.canva.com/rest/v1/designs/{designId}/analytics/links')
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request['Authorization'] = 'Bearer {token}'
response = http.request(request)
puts response.read_body
RUBY

Success response

If successful, the endpoint returns a 200 response with a JSON body with the following parameters:

itemsTrackableLink[]

The list of trackable links.

link_idstring

The ID of the trackable link.

namestring
Optional

The user-visible name of the trackable link.

total_view_countinteger
Optional

The total number of views for this link.

unique_view_countinteger
Optional

The number of unique viewers for this link.

total_view_duration_secondsinteger
Optional

The total time this link has been viewed, in seconds.

average_view_duration_secondsinteger
Optional

The average time this link has been viewed, in seconds.

last_viewed_atinteger
Optional

When this link was most recently viewed, as a Unix timestamp (in seconds since the Unix Epoch).

continuationstring
Optional

If the success response contains a continuation token, there are more links you can list. You can use this token as a query parameter and retrieve more links from the list, for example /v1/designs/{designId}/analytics/links?continuation={continuation}.

To retrieve all links, you might need to make multiple requests.

Example response

{
"items": [
{
"link_id": "hddb98a3716",
"name": "Newsletter link",
"total_view_count": 64,
"unique_view_count": 41,
"total_view_duration_seconds": 2580,
"average_view_duration_seconds": 40,
"last_viewed_at": 1748044800
}
],
"continuation": "RkFGMgXlsVTDbMd:MR3L0QjiaUzycIAjx0yMyuNiV0OildoiOwL0x32G4NjNu4FwtAQNxowUQNMMYN"
}
JSON

Error responses

400 Bad Request

codestring

A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.

messagestring

A human-readable description of what went wrong.

Example error responses

Expected long for query parameter
{
"code": "bad_query_params",
"message": "Expected long for query parameter `{key}` but found {value}"
}
JSON
The continuation token is invalid or expired.
{
"code": "invalid_field",
"message": "Invalid continuation token"
}
JSON

401 Unauthorized

codestring

A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.

messagestring

A human-readable description of what went wrong.

Example error response

Access token could not be decoded or signature could not be verified.
{
"code": "invalid_access_token",
"message": "Access token is invalid"
}
JSON

403 Forbidden

codestring

A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.

messagestring

A human-readable description of what went wrong.

Example error response

The caller is not allowed to access design analytics.
{
"code": "permission_denied",
"message": "Not allowed to access analytics for this design"
}
JSON

404 Not Found

codestring

A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.

messagestring

A human-readable description of what went wrong.

Example error response

The design was not found, or analytics are unavailable.
{
"code": "design_not_found",
"message": "Design not found or analytics are not available for this design"
}
JSON

429 Too Many Requests

codestring

A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.

messagestring

A human-readable description of what went wrong.

Example error response

Rate limit exceeded
{
"code": "too_many_requests",
"message": "Too many requests to {operation}"
}
JSON

Try it out

This uses your live Canva data.

This is not a sandbox/playground. This form performs API requests against your account's actual live Canva data. Make sure that you understand what the request is doing, as well as the requirements for each parameter detailed above.

Step 1: Enter your access token

To get started, generate an access token or provide your own below